Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.gif
Class GIFGraphicExt

    java.lang.Object
      |
      +--com.sun.jimi.core.decoder.gif.GIFGraphicExt

public class GIFGraphicExt
extends java.lang.Object

Graphic Extension chunk for GIF

Field Summary
`static int` | `GCE_DISP_BACKGROUND`
`static int` | `GCE_DISP_LEAVE`
`static int` | `GCE_DISP_NOTSPECIFIED` Values for Disposal Field in packed field flags
`static int` | `GCE_DISP_PREVGRAPHIC`
`static int` | `GCE_DISPOSAL`
`static int` | `GCE_DISPOSAL_BITOFFSET`
`static int` | `GCE_RESERVED`
`static int` | `GCE_TRANSPARENT` graphics control extensions packed field flags
`static int` | `GCE_USERINPUT`

Constructor Summary
`GIFGraphicExt(LEDataInputStream in)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GCE_TRANSPARENT

    public static final int GCE_TRANSPARENT

  graphics control extensions packed field flags

### GCE_USERINPUT

    public static final int GCE_USERINPUT

### GCE_DISPOSAL

    public static final int GCE_DISPOSAL

### GCE_DISPOSAL_BITOFFSET

    public static final int GCE_DISPOSAL_BITOFFSET

### GCE_RESERVED

    public static final int GCE_RESERVED

### GCE_DISP_NOTSPECIFIED

    public static final int GCE_DISP_NOTSPECIFIED

  Values for Disposal Field in packed field flags

### GCE_DISP_LEAVE

    public static final int GCE_DISP_LEAVE

### GCE_DISP_BACKGROUND

    public static final int GCE_DISP_BACKGROUND

### GCE_DISP_PREVGRAPHIC

    public static final int GCE_DISP_PREVGRAPHIC

Constructor Detail

### GIFGraphicExt

    public GIFGraphicExt(LEDataInputStream in)
                  throws java.io.IOException

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD